Summary:	Library for checking ink level of a printer
Summary(pl.UTF-8):	Biblioteka do sprawdzania poziomu atramentu drukarki
Name:		libinklevel
Version:	0.9.2
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libinklevel/%{name}-%{version}.tar.gz
# Source0-md5:	d9f61d14afc2025da454a624578b2be8
URL:		http://libinklevel.sourceforge.net/
BuildRequires:	libieee1284-devel
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	pkgconfig >= 1:0.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libinklevel is a library for checking the ink level of printer. It
supports printers attached via parallel port or USB.
Supported printers list can be found here:
http://libinklevel.sourceforge.net/index.html#supported

%description -l pl.UTF-8
Libinklevel jest biblioteką wykorzystywaną do sprawdzania poziomu
atramentu w drukarce. Wspierane są drukarki podłączone za
pośrednictwem portu równoległego oraz USB.
Listę aktualnie obsługiwanych drukarek można znaleźć tutaj:
http://libinklevel.sourceforge.net/index.html#supported

%package devel
Summary:	Header file for libinklevel
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libinklevel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libieee1284-devel
Requires:	libusb-devel >= 1.0

%description devel
Header file for libinklevel.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libinklevel.

%package static
Summary:	Static libinklevel library
Summary(pl.UTF-8):	Statyczna biblioteka libinklevel
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libinklevel library.

%description static -l pl.UTF-8
Statyczna biblioteka libinklevel.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libinklevel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinklevel.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinklevel.so
%{_libdir}/libinklevel.la
%{_includedir}/inklevel.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libinklevel.a
%changelog
* Thu Nov 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libinklevel.git;a=log;h=master

* Thu Nov 19 2015 Jakub Bogusz <qboosh@pld-linux.org> c525ce5
- updated to 0.9.2

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> fb9f127
- updated to 0.8.0
- removed obsolete build_fixes patch (project switched to autotools, at last)

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> d6c7ce6
- updated to 0.7.3
- updated build_fixes patch

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 4e041ab
- updated for 0.7.3

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 6b6df98
- updated to 0.7.2
- updated build_fixes patch

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 45cc8c1
- updated for 0.7.2

* Tue Apr 03 2007 Jakub Bogusz <qboosh@pld-linux.org> b29eb9c
- updated to 0.7.1
- updated build_fixes patch

* Tue Apr 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 13230b8
- updated for 0.7.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 33874a2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6bdbdc3
- converted to UTF-8

* Fri Jul 21 2006 Jakub Bogusz <qboosh@pld-linux.org> b6910c7
- updated to 0.6.5, updated build_fixes patch

* Fri Jul 21 2006 Jakub Bogusz <qboosh@pld-linux.org> c15cad8
- updated for 0.6.5

* Sun May 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 7ea2312
- gpm-friendly Source0 URL

* Sun Feb 06 2005 Adam Gołębiowski <adamg@pld-linux.org> 6277bc7
- updated to 0.6.4

* Thu Sep 30 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 584aa0a
- update

* Thu Sep 30 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> de86668
- updated to 0.6.3

* Sun Jun 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 3577c45
- don't use $PWD

* Sun Jun 06 2004 jpc <jpc@pld-linux.org> 3f34e51
- updated supported printers link

* Sun Jun 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 97bb6e0
- updated patch, fixed build on amd64

* Sun Jun 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 9558961
- customizable LIBDIR

